/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03401
 |         SUBSTANCE ABUSE TREATMENT COST ALLOCATION AND ANALYSIS
 |                  TEMPLATE (SATCAAT) STUDY, 1992-1994
 |               (DATASET 0002: SDU COST DATA -- ALL SDUS)
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace CASEID = . if (CASEID <= -1 )
replace SDUNUM = . if (SDUNUM <= -1 )
replace PROVIDER = . if (PROVIDER <= -1 )
replace SDUFOCUS = . if (SDUFOCUS <= -1 )
replace SDUTYPE = . if (SDUTYPE <= -1 )
replace FYEND = . if (FYEND <= -1 )
replace NUMCLNT = . if (NUMCLNT <= -1 )
replace TOTCOST = . if (TOTCOST <= -1 )
replace TOTAFT = . if (TOTAFT <= -1 )
replace TOTCNET = . if (TOTCNET <= -1 )
replace TOTCH = . if (TOTCH <= -1 )
replace TOTCLED = . if (TOTCLED <= -1 )
replace TOTTRAN = . if (TOTTRAN <= -1 )
replace TOTHIV = . if (TOTHIV <= -1 )
replace TOTHM = . if (TOTHM <= -1 )
replace TOTHOUS = . if (TOTHOUS <= -1 )
replace TOTIASS = . if (TOTIASS <= -1 )
replace TOTMDS = . if (TOTMDS <= -1 )
replace TOTMES = . if (TOTMES <= -1 )
replace TOTMHGC = . if (TOTMHGC <= -1 )
replace TOTMHIC = . if (TOTMHIC <= -1 )
replace TOTPEVL = . if (TOTPEVL <= -1 )
replace TOTPSE = . if (TOTPSE <= -1 )
replace TOTRMGT = . if (TOTRMGT <= -1 )
replace TOTSAGC = . if (TOTSAGC <= -1 )
replace TOTSAIC = . if (TOTSAIC <= -1 )
replace TOTSTED = . if (TOTSTED <= -1 )
replace UNAFT1 = . if (UNAFT1 <= -1 )
replace UNAFT3 = . if (UNAFT3 <= -1 )
replace UNAFT7 = . if (UNAFT7 <= -1 )
replace UNAFT10 = . if (UNAFT10 <= -1 )
replace UNAFT12 = . if (UNAFT12 <= -1 )
replace UNCNET4 = . if (UNCNET4 <= -1 )
replace UNCNET7 = . if (UNCNET7 <= -1 )
replace UNCNET9 = . if (UNCNET9 <= -1 )
replace UNCNET10 = . if (UNCNET10 <= -1 )
replace UNCNET16 = . if (UNCNET16 <= -1 )
replace UNCNET20 = . if (UNCNET20 <= -1 )
replace UNCNET21 = . if (UNCNET21 <= -1 )
replace UNCNET31 = . if (UNCNET31 <= -1 )
replace UNCH5 = . if (UNCH5 <= -1 )
replace UNCLED7 = . if (UNCLED7 <= -1 )
replace UNTRAN16 = . if (UNTRAN16 <= -1 )
replace UNTRAN29 = . if (UNTRAN29 <= -1 )
replace UNTRAN31 = . if (UNTRAN31 <= -1 )
replace UNTRAN7 = . if (UNTRAN7 <= -1 )
replace UNTRAN8 = . if (UNTRAN8 <= -1 )
replace UNHIV7 = . if (UNHIV7 <= -1 )
replace UNHIV22 = . if (UNHIV22 <= -1 )
replace UNHIV23 = . if (UNHIV23 <= -1 )
replace UNHIV28 = . if (UNHIV28 <= -1 )
replace UNHM16 = . if (UNHM16 <= -1 )
replace UNHM18 = . if (UNHM18 <= -1 )
replace UNHM19 = . if (UNHM19 <= -1 )
replace UNHOUS18 = . if (UNHOUS18 <= -1 )
replace UNIASS2 = . if (UNIASS2 <= -1 )
replace UNIASS31 = . if (UNIASS31 <= -1 )
replace UNMDS4 = . if (UNMDS4 <= -1 )
replace UNMDS7 = . if (UNMDS7 <= -1 )
replace UNMDS24 = . if (UNMDS24 <= -1 )
replace UNMDS25 = . if (UNMDS25 <= -1 )
replace UNMDS26 = . if (UNMDS26 <= -1 )
replace UNMDS31 = . if (UNMDS31 <= -1 )
replace UNMES15 = . if (UNMES15 <= -1 )
replace UNMES16 = . if (UNMES16 <= -1 )
replace UNMES31 = . if (UNMES31 <= -1 )
replace UNMHGC8 = . if (UNMHGC8 <= -1 )
replace UNMHGC11 = . if (UNMHGC11 <= -1 )
replace UNMHIC8 = . if (UNMHIC8 <= -1 )
replace UNMHIC11 = . if (UNMHIC11 <= -1 )
replace UNPEV7 = . if (UNPEV7 <= -1 )
replace UNPSE13 = . if (UNPSE13 <= -1 )
replace UNPSE14 = . if (UNPSE14 <= -1 )
replace UNPSE15 = . if (UNPSE15 <= -1 )
replace UNPSE16 = . if (UNPSE16 <= -1 )
replace UNPSE31 = . if (UNPSE31 <= -1 )
replace UNRMGT4 = . if (UNRMGT4 <= -1 )
replace UNRMGT7 = . if (UNRMGT7 <= -1 )
replace UNRMGT31 = . if (UNRMGT31 <= -1 )
replace UNSAGC8 = . if (UNSAGC8 <= -1 )
replace UNSAGC11 = . if (UNSAGC11 <= -1 )
replace UNSAGC27 = . if (UNSAGC27 <= -1 )
replace UNSAGC31 = . if (UNSAGC31 <= -1 )
replace UNSAIC8 = . if (UNSAIC8 <= -1 )
replace UNSAIC11 = . if (UNSAIC11 <= -1 )
replace UNSAIC27 = . if (UNSAIC27 <= -1 )
replace UNSAIC31 = . if (UNSAIC31 <= -1 )
replace UNSTED7 = . if (UNSTED7 <= -1 )
replace UNSTED16 = . if (UNSTED16 <= -1 )
replace UNSTED17 = . if (UNSTED17 <= -1 )
replace UNSTED31 = . if (UNSTED31 <= -1 )
replace UCAFT1 = . if (UCAFT1 <= -1.00 )
replace UCAFT3 = . if (UCAFT3 <= -1.00 )
replace UCAFT7 = . if (UCAFT7 <= -1.00 )
replace UCAFT10 = . if (UCAFT10 <= -1.00 )
replace UCAFT12 = . if (UCAFT12 <= -1.00 )
replace UCCNET4 = . if (UCCNET4 <= -1.00 )
replace UCCNET7 = . if (UCCNET7 <= -1.00 )
replace UCCNET9 = . if (UCCNET9 <= -1.00 )
replace UCCNET10 = . if (UCCNET10 <= -1.00 )
replace UCCNET16 = . if (UCCNET16 <= -1.00 )
replace UCCNET20 = . if (UCCNET20 <= -1.00 )
replace UCCNET21 = . if (UCCNET21 <= -1.00 )
replace UCCNET31 = . if (UCCNET31 <= -1.00 )
replace UCCH5 = . if (UCCH5 <= -1.00 )
replace UCCLED7 = . if (UCCLED7 <= -1.00 )
replace UCTRAN7 = . if (UCTRAN7 <= -1.00 )
replace UCTRAN8 = . if (UCTRAN8 <= -1.00 )
replace UCTRAN16 = . if (UCTRAN16 <= -1.00 )
replace UCTRAN29 = . if (UCTRAN29 <= -1.00 )
replace UCTRAN31 = . if (UCTRAN31 <= -1.00 )
replace UCHIV22 = . if (UCHIV22 <= -1.00 )
replace UCHIV23 = . if (UCHIV23 <= -1.0 )
replace UCHIV28 = . if (UCHIV28 <= -1.00 )
replace UCHIV7 = . if (UCHIV7 <= -1.00 )
replace UCHM16 = . if (UCHM16 <= -1 )
replace UCHM18 = . if (UCHM18 <= -1.00 )
replace UCHM19 = . if (UCHM19 <= -1.00 )
replace UCHOUS18 = . if (UCHOUS18 <= -1.00 )
replace UCIASS2 = . if (UCIASS2 <= -1.00 )
replace UCIASS31 = . if (UCIASS31 <= -1.00 )
replace UCMDS4 = . if (UCMDS4 <= -1.00 )
replace UCMDS7 = . if (UCMDS7 <= -1.00 )
replace UCMDS24 = . if (UCMDS24 <= -1.00 )
replace UCMDS25 = . if (UCMDS25 <= -1.00 )
replace UCMDS26 = . if (UCMDS26 <= -1.00 )
replace UCMDS31 = . if (UCMDS31 <= -1.00 )
replace UCMES15 = . if (UCMES15 <= -1.00 )
replace UCMES16 = . if (UCMES16 <= -1.00 )
replace UCMES31 = . if (UCMES31 <= -1.00 )
replace UCMHGC11 = . if (UCMHGC11 <= -1.00 )
replace UCMHIC11 = . if (UCMHIC11 <= -1.00 )
replace UCPEV7 = . if (UCPEV7 <= -1.00 )
replace UCPSE13 = . if (UCPSE13 <= -1.00 )
replace UCPSE14 = . if (UCPSE14 <= -1.00 )
replace UCPSE15 = . if (UCPSE15 <= -1.00 )
replace UCPSE16 = . if (UCPSE16 <= -1.00 )
replace UCPSE31 = . if (UCPSE31 <= -1.00 )
replace UCRMGT4 = . if (UCRMGT4 <= -1.00 )
replace UCRMGT7 = . if (UCRMGT7 <= -1.00 )
replace UCRMGT31 = . if (UCRMGT31 <= -1.00 )
replace UCSAGC8 = . if (UCSAGC8 <= -1.00 )
replace UCSAGC11 = . if (UCSAGC11 <= -1.00 )
replace UCSAGC27 = . if (UCSAGC27 <= -1.00 )
replace UCSAGC31 = . if (UCSAGC31 <= -1.00 )
replace UCSAIC8 = . if (UCSAIC8 <= -1.00 )
replace UCSAIC11 = . if (UCSAIC11 <= -1.00 )
replace UCSAIC27 = . if (UCSAIC27 <= -1.00 )
replace UCSAIC31 = . if (UCSAIC31 <= -1 )
replace UCSTED7 = . if (UCSTED7 <= -1.00 )
replace UCSTED16 = . if (UCSTED16 <= -1.00 )
replace UCSTED17 = . if (UCSTED17 <= -1.00 )
replace UCSTED31 = . if (UCSTED31 <= -1.00 )
replace CSTPRCL = . if (CSTPRCL <= -1.00 )
replace AVGAFT = . if (AVGAFT <= -1.00 )
replace AVGCNET = . if (AVGCNET <= -1.00 )
replace AVGCH = . if (AVGCH <= -1.00 )
replace AVGCLED = . if (AVGCLED <= -1.00 )
replace AVGTRAN = . if (AVGTRAN <= -1.00 )
replace AVGHIV = . if (AVGHIV <= -1.00 )
replace AVGHM = . if (AVGHM <= -1.00 )
replace AVGHOUS = . if (AVGHOUS <= -1.00 )
replace AVGIASS = . if (AVGIASS <= -1.00 )
replace AVGMDS = . if (AVGMDS <= -1.00 )
replace AVGMES = . if (AVGMES <= -1.00 )
replace AVGMHGC = . if (AVGMHGC <= -1.00 )
replace AVGMHIC = . if (AVGMHIC <= -1.00 )
replace AVGPEVL = . if (AVGPEVL <= -1.00 )
replace AVGPSE = . if (AVGPSE <= -1.00 )
replace AVGRMGT = . if (AVGRMGT <= -1.00 )
replace AVGSAGC = . if (AVGSAGC <= -1.00 )
replace AVGSAIC = . if (AVGSAIC <= -1.00 )
replace AVGSTED = . if (AVGSTED <= -1.00 )


